Package org.eclipse.mat.parser.internal.snapshot

# Class ObjectMarkerOld.DfsThread

java.lang.Object
org.eclipse.mat.parser.internal.snapshot.ObjectMarkerOld.DfsThread

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `ObjectMarkerOld.LocalDfsThread`

Enclosing class:
  `ObjectMarkerOld`

public class ObjectMarkerOld.DfsThread extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`DfsThread(IntStack roots)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DfsThread

public DfsThread(IntStack roots)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`